# DependencyConstraintMetadata

interface DependencyConstraintMetadata : DependencyMetadata<SELF>

Describes a dependency constraint declared in a resolved component's metadata, which typically originates from a component descriptor (Gradle metadata file). This interface can be used to adjust a dependency constraint's properties via metadata rules (see org.gradle.api.artifacts.dsl.ComponentMetadataHandler.

#### Since

4.5

## Functions

attributes
Link copied to clipboard
abstract fun attributes(configureAction: Action<in AttributeContainer>): SELF
because
Link copied to clipboard
abstract fun because(reason: String): SELF
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getGroup
Link copied to clipboard
abstract fun getGroup(): String
getModule
Link copied to clipboard
abstract fun getModule(): ModuleIdentifier
getName
Link copied to clipboard
abstract fun getName(): String
getReason
Link copied to clipboard
abstract fun getReason(): @Nullable String
getVersionConstraint
Link copied to clipboard
abstract fun getVersionConstraint(): VersionConstraint
version
Link copied to clipboard
abstract fun version(configureAction: Action<in MutableVersionConstraint>): SELF